Bug 125522 - net/dhcp6 - rc.d/dhcp6relay script does not properly execute daemon
Summary: net/dhcp6 - rc.d/dhcp6relay script does not properly execute daemon
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Wesley Shields
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-07-11 22:10 UTC by Glen Neff
Modified: 2008-11-26 01:20 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Glen Neff 2008-07-11 22:10:04 UTC
/usr/local/etc/rc.d/dhcp6relay does not seem to properly process the the variables $dhcp6relay_interfaces & $dhcp6relay_flags as set in /etc/rc.conf.

If I set the following in rc.conf:

dhcp6relay_enable="YES"
dhcp6relay_interfaces="vlan2 vlan3 vlan4 vlan5"
dhcp6relay_flags="-r vlan1 -s 2620:0:170:405::15"

What actually gets executed is:

/usr/local/sbin/dhcp6relay -r vlan1 -s 2620:0:170:405::15 -r vlan1 -s 2620:0:170:405::15 vlan2 vlan3 vlan4 vlan5

It seems to be doubling-up on $dhcp6relay_flags.

How-To-Repeat: See description.
Comment 1 Edwin Groothuis freebsd_committer 2008-07-12 05:48:45 UTC
Responsible Changed
From-To: freebsd-ports-bugs->suz

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Wesley Shields freebsd_committer 2008-11-25 21:41:43 UTC
Responsible Changed
From-To: suz->wxs

Grab, as I've tested a PR with the submitter.  I'll commit soon.
Comment 3 dfilter service freebsd_committer 2008-11-26 01:17:02 UTC
wxs         2008-11-26 01:16:53 UTC

  FreeBSD ports repository

  Modified files:
    net/dhcp6            Makefile 
    net/dhcp6/files      dhcp6relay.sh.in 
  Log:
  - Fix RC script so the flags are not duplicated.
  - Properly quote a variable.
  - Bump PORTREVISION.
  
  PR:             ports/125522
  Submitted by:   Glen Neff <neff_glen@emc.com>
  Approved by:    maintainer timeout
  
  Revision  Changes    Path
  1.13      +1 -1      ports/net/dhcp6/Makefile
  1.2       +3 -3      ports/net/dhcp6/files/dhcp6relay.sh.in
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Wesley Shields freebsd_committer 2008-11-26 01:17:09 UTC
State Changed
From-To: open->closed

Committed. Thanks!